<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('comp_categories', function (Blueprint $table) {
            $table->bigIncrements('CC_Id');   // Primary key
            $table->string('CC_Desc', 25);    // Description field with max length 25 characters
            $table->timestamps();   
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('comp_categories');
    }
};
